=== modified file 'ChangeLog'
--- ChangeLog	2006-08-08 19:02:08 +0000
+++ ChangeLog	2006-08-09 12:02:10 +0000
@@ -1,6 +1,12 @@
+2006-08-09  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive/frontend/gtk/status.py: fixed a NotBranchError related bug
+    * olive.glade: diff and status window not visible by default
+
 2006-08-08  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
     * olive.glade: some icons redrawn + added 16x16 icons
     * icons/*: some icons redrawn + added 16x16 icons
+    * setup.py: modified respectively
     * olive/frontend/gtk/menu.py: Added left context menu + Bookmark option
     * olive/frontend/gtk/__init__.py: load bookmarks into the left panel
     * olive/frontend/gtk/handler.py: implemented signal handlers for left panel

=== modified file 'TODO'
--- TODO	2006-08-08 18:32:32 +0000
+++ TODO	2006-08-09 12:02:10 +0000
@@ -11,3 +11,5 @@
    toggled) (j-a-meinel)
  - "Probe location" button on the Push dialog (test write access, etc.) (ddaa)
  - Save and restore main window position and size (phanatic)
+ - Real sensitive context menu - e.g. options are grey if not a branch
+   (phanatic)

=== modified file 'olive.glade'
--- olive.glade	2006-08-08 19:02:08 +0000
+++ olive.glade	2006-08-09 12:02:10 +0000
@@ -2197,7 +2197,6 @@
 <widget class="GtkWindow" id="window_diff">
   <property name="width_request">600</property>
   <property name="height_request">400</property>
-  <property name="visible">True</property>
   <property name="title" translatable="yes">Olive - Diff</property>
   <property name="type">GTK_WINDOW_TOPLEVEL</property>
   <property name="window_position">GTK_WIN_POS_NONE</property>
@@ -2314,7 +2313,6 @@
 <widget class="GtkWindow" id="window_status">
   <property name="width_request">400</property>
   <property name="height_request">300</property>
-  <property name="visible">True</property>
   <property name="title" translatable="yes">Olive - Status</property>
   <property name="type">GTK_WINDOW_TOPLEVEL</property>
   <property name="window_position">GTK_WIN_POS_NONE</property>

=== modified file 'olive/frontend/gtk/status.py'
--- olive/frontend/gtk/status.py	2006-08-03 14:32:03 +0000
+++ olive/frontend/gtk/status.py	2006-08-09 12:02:10 +0000
@@ -30,6 +30,7 @@
     sys.exit(1)
 
 import bzrlib
+import bzrlib.errors as errors
 
 if (bzrlib.version_info[0] == 0) and (bzrlib.version_info[1] < 9):
     # function deprecated after 0.9
@@ -51,6 +52,9 @@
         
         self.dialog = OliveDialog(self.gladefile)
         
+        # Get the Status window widget
+        self.window = self.glade.get_widget('window_status')
+        
         # Check if current location is a branch
         try:
             (self.wt, path) = WorkingTree.open_containing(self.comm.get_path())
@@ -71,9 +75,6 @@
         # Set the old working tree
         self.old_tree = self.wt.branch.repository.revision_tree(self.wt.branch.last_revision())
         
-        # Get the Diff window widget
-        self.window = self.glade.get_widget('window_status')
-        
         # Dictionary for signal_autoconnect
         dic = { "on_button_status_close_clicked": self.close }
         
@@ -135,6 +136,7 @@
         """ Display the Diff window. """
         if self.notbranch:
             self.dialog.error_dialog('Directory is not a branch.')
+            self.close()
         else:
             self.window.show_all()
 

